roar_vio_close(3)

NAME
roar_vio_close.3 - close a RoarAudio virtual IO object

SYNOPSIS

#include <roaraudio.h>

int roar_vio_close (struct roar_vio_calls * vio);

DESCRIPTION
Closes a VIO object. Also ensures all data to be fushed to disk or send via sockets. The given vio object itself is not freed as normaly located in the applications stack. if you want it to be freed you need to call free(3) yourself.

PARAMETERS

vio The VIO object to be closed.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES

 struct roar_vio_calls obj;

 roar_vio_open_fh(&obj, ROAR_STDOUT);

 roar_vio_puts(&obj, "Hello World!\n");

 roar_vio_close(&obj);

SEE ALSO
roarvio(7), libroar(7), RoarAudio(7).